# $Revision: 1.65 $, $Date: 2010/05/31 10:05:10 $
# TODO:
#	- probably gui bcond is meaningless
#
# Conditional build:
%bcond_with	gui	# enable experimental GUI
%bcond_with	doc	# build docs
#
Summary:	Music typesetter
Summary(pl.UTF-8):	Program do składania nut
Name:		lilypond
Version:	2.12.2
Release:	5
License:	GPL
Group:		Applications/Sound
Source0:	http://lilypond.org/download/v2.12/%{name}-%{version}.tar.gz
# Source0-md5:	681dfbecf8a3710d1400cf9488be716b
Patch0:		%{name}-info.patch
Patch1:		%{name}-sh.patch
Patch3:		%{name}-afm.patch
Patch4:		%{name}-aclocal.patch
Patch5:		%{name}-bad_cast.patch
URL:		http://www.lilypond.org/
%{?with_doc:BuildRequires:	ImageMagick-coder-png}
%{?with_doc:BuildRequires:	ImageMagick}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison >= 1.29
BuildRequires:	flex >= 2.5.4a
BuildRequires:	fontconfig
BuildRequires:	fontconfig-devel >= 1:2.2.0
BuildRequires:	fontforge >= 20060125
BuildRequires:	fonts-Type1-urw
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	ghostscript >= 8.15
%{?with_doc:BuildRequires:	ghostscript >= 8.60}
BuildRequires:	ghostscript-fonts-std
%{?with_gui:BuildRequires:	gtk+2-devel >= 2:2.4.0}
BuildRequires:	guile-devel >= 5:1.8.2
BuildRequires:	kpathsea-devel
BuildRequires:	libltdl-devel
BuildRequires:	libstdc++-devel >= 5:3.4
#BuildRequires:	mftrace >= 1.1.19
%{?with_doc:BuildRequires:	netpbm-progs}
BuildRequires:	pango-devel >= 1.12.0
BuildRequires:	perl-base
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	python-devel >= 2.4
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%{?with_doc:BuildRequires:	rsync}
BuildRequires:	texinfo >= 4.11
%{?with_doc:BuildRequires:	texinfo-texi2dvi}
%if "%{pld_release}" != "th"
%{?with_doc:BuildRequires:	tetex-latex-bibtex}
BuildRequires:	tetex-metapost
%else
#BuildRequires:	texlive-dvips
#BuildRequires:	texlive-fonts-cm
#BuildRequires:	texlive-fonts-cmextra
#BuildRequires:	texlive-fonts-jknappen
%{?with_doc:BuildRequires:	texlive-latex-bibtex}
BuildRequires:	texlive-metapost
%endif
BuildRequires:	t1utils
BuildConflicts:	lilypond < 1.6.0
Requires:	ghostscript >= 8.15
Requires:	guile >= 5:1.8.2
Requires:	python >= 2.4
%if "%{pld_release}" != "th"
Requires:	tetex-latex
%else
Requires:	texlive-latex
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		texmfdir	%{_datadir}/texmf
%define		texmfdistdir	%{texmfdir}-dist
%if "%{pld_release}" != "th"
%define		texfontsdir	%{texmfdir}/fonts
%else
%define		texfontsdir	%{texmfdistdir}/fonts
%endif

%description
LilyPond is a music typesetter. It produces beautiful sheet music
using a high level description file as input. It excels at typesetting
classical music, but you can also print pop-songs. With LilyPond we
hope to make music publication software available to anyone on the
internet.

%description -l pl.UTF-8
LilyPond jest programem do składu muzycznego. Produkuje piękne
partytury używając języka wysokiego poziomu jako wejście. Służy przede
wszystkim do składania nut muzyki klasycznej, ale można drukować także
piosenki pop. Autorzy udostępniają LilyPond z nadzieją dostarczenia
wszystkim oprogramowania do publikacji muzycznych.

%package -n emacs-lilypond-mode-pkg
Summary:	LilyPond mode for Emacs
Summary(pl.UTF-8):	Tryb edycji plików LilyPond dla Emacsa
Group:		Applications/Editors/Emacs
Requires:	%{name} = %{version}-%{release}
Requires:	emacs

%description -n emacs-lilypond-mode-pkg
LilyPond mode for Emacs.

%description -n emacs-lilypond-mode-pkg -l pl.UTF-8
Tryb edycji plików LilyPond dla Emacsa.

%package -n vim-syntax-lilypond
Summary:	LilyPond files support for Vim
Summary(pl.UTF-8):	Obsługa plików LilyPonda dla Vima
Group:		Applications/Editors/Vim
Requires:	%{name} = %{version}-%{release}
Requires:	vim-rt >= 4:6.4.001-2

%description -n vim-syntax-lilypond
LilyPond files support for Vim.

%description -n vim-syntax-lilypond -l pl.UTF-8
Obsługa plików LilyPonda dla Vima.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
cp -f /usr/share/automake/config.* stepmake/bin
%{__autoconf}
%configure \
	%{?debug:--disable-optimising} \
	%{?with_gui:--enable-gui}
%{__make} -j1
%{?with_doc:%{__make} -j1 web}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{texmfdir}/{dvips,tex},%{texfontsdir}/{source,tfm,type1}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
%if %{with doc}
%{__make} -j1 web-install \
	DESTDIR=$RPM_BUILD_ROOT
%endif
cp -aL out/share/lilypond/current/fonts/tfm \
	$RPM_BUILD_ROOT%{texfontsdir}/tfm/lilypond

find $RPM_BUILD_ROOT -name fonts.cache-1 | xargs rm -f

# ?
mv -f $RPM_BUILD_ROOT%{_datadir}/lilypond/%{version}/fonts/source \
	$RPM_BUILD_ROOT%{texfontsdir}/source/lilypond
# for latex and dvips
mv -f $RPM_BUILD_ROOT%{_datadir}/lilypond/%{version}/tex \
	$RPM_BUILD_ROOT%{texmfdir}/tex/lilypond
# both for lilypond and dvips
ln -sf %{_datadir}/lilypond/%{version}/fonts/type1 \
	$RPM_BUILD_ROOT%{texfontsdir}/type1/lilypond
ln -sf %{_datadir}/lilypond/%{version}/ps \
	$RPM_BUILD_ROOT%{texmfdir}/dvips/lilypond
rm -rf $RPM_BUILD_ROOT%{_datadir}/lilypond/%{version}/dvips

# vim syntax/etc. files
install -d $RPM_BUILD_ROOT%{_datadir}/vim
mv -f $RPM_BUILD_ROOT%{_datadir}/lilypond/%{version}/vim \
	$RPM_BUILD_ROOT%{_datadir}/vim/vimfiles

# lilypond/stepmake build system - not needed at runtime
rm -rf $RPM_BUILD_ROOT%{_datadir}/lilypond/%{version}/make

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
test -h %{texmfdir}/dvips/lilypond || rm -rf %{texmfdir}/dvips/lilypond

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1
[ ! -x /usr/bin/texhash ] || /usr/bin/texhash 1>&2
[ ! -x /usr/bin/scrollkeeper-update ] || /usr/bin/scrollkeeper-update

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1
[ ! -x /usr/bin/texhash ] || /usr/bin/texhash 1>&2
[ ! -x /usr/bin/scrollkeeper-update ] || /usr/bin/scrollkeeper-update

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS.txt DEDICATION NEWS.txt README.txt THANKS
%attr(755,root,root) %{_bindir}/abc2ly
%attr(755,root,root) %{_bindir}/convert-ly
%attr(755,root,root) %{_bindir}/etf2ly
%attr(755,root,root) %{_bindir}/lilymidi
%attr(755,root,root) %{_bindir}/lilypond
%attr(755,root,root) %{_bindir}/lilypond-book
%attr(755,root,root) %{_bindir}/lilypond-invoke-editor
%attr(755,root,root) %{_bindir}/lilysong
%attr(755,root,root) %{_bindir}/midi2ly
%attr(755,root,root) %{_bindir}/musicxml2ly
%dir %{_libdir}/lilypond
%dir %{_libdir}/lilypond/%{version}
%dir %{_libdir}/lilypond/%{version}/python
%attr(755,root,root) %{_libdir}/lilypond/%{version}/python/midi.so
%dir %{_datadir}/lilypond
%dir %{_datadir}/lilypond/%{version}
%{_datadir}/lilypond/%{version}/fonts
%{_datadir}/lilypond/%{version}/ly
%{_datadir}/lilypond/%{version}/ps
%dir %{_datadir}/lilypond/%{version}/python
%{_datadir}/lilypond/%{version}/python/*.py
%{_datadir}/lilypond/%{version}/python/*.pyc
%{_datadir}/lilypond/%{version}/scm
%{_infodir}/*.info*
%{_mandir}/man1/*

%{texfontsdir}/source/lilypond
%{texfontsdir}/tfm/lilypond
%{texfontsdir}/type1/lilypond
%{texmfdir}/dvips/lilypond
%{texmfdir}/tex/lilypond

%{_datadir}/omf/lilypond
%{?with_doc:/usr/share/doc/lilypond}

%files -n emacs-lilypond-mode-pkg
%defattr(644,root,root,755)
%{_datadir}/emacs/site-lisp/*.el

%files -n vim-syntax-lilypond
%defattr(644,root,root,755)
%{_datadir}/vim/vimfiles/compiler/lilypond.vim
%{_datadir}/vim/vimfiles/ftdetect/lilypond.vim
%{_datadir}/vim/vimfiles/ftplugin/lilypond.vim
%{_datadir}/vim/vimfiles/indent/lilypond.vim
%{_datadir}/vim/vimfiles/syntax/lilypond*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lilypond.spec,v $
Revision 1.65  2010/05/31 10:05:10  hawk
- more TeX fixes for Titanium

Revision 1.64  2010/05/10 21:38:40  hawk
- for time being use tetex deps in Titanium

Revision 1.63  2010/04/08 11:50:40  sls
- BR: t1utils

Revision 1.62  2010/03/29 07:08:52  arekm
- release 3

Revision 1.61  2010/02/06 00:21:51  sparky
- BR: autoconf, python-modules, rpm-pythonprov
- dropped unused BR: mftrace, texlive-dvips, texlive-fonts-cm,
  texlive-fonts-cmextra, texlive-fonts-jknappen (this may be wrong, so just
  commented out)

Revision 1.60  2010/02/05 08:09:37  glen
- unify doc bcond

Revision 1.59  2009/11/28 16:22:05  jajcus
- Release: 2

Revision 1.58  2009/11/28 16:02:10  jajcus
- user /usr/share/texmf-dist/fonts dir for fonts

Revision 1.57  2009/11/28 12:27:24  jajcus
- build fixes
- s/tetex/texlive/ in the dependencies

Revision 1.56  2009/06/21 11:37:36  gotar
- allow upgrade from broken %{texmfdir}/dvips/lilypond/ps symlink

Revision 1.55  2009/06/21 11:23:15  gotar
- upgraded to 2.12.2;
- updated patches (info, afm), obsoleted po, gcc43 and gcc3 (req. 3.4 not 3.3),
- updated BRs (versions, added fonts-Type1-urw, perl-base and tetex-metapost),
- note: texmfdir should be replaced somewhere with texmfdist for texlive (!),
- fixed %{texmfdir}/dvips contents, package tfm files, lilymidi and lilysong

Revision 1.54  2008/09/07 19:02:34  adamg
- release 5 (against libltdl-2.2.6-1)

Revision 1.53  2008/07/02 19:50:45  sls
- added gcc43.patch

Revision 1.52  2008/06/14 10:17:17  arekm
- rel 4

Revision 1.51  2008-05-29 21:39:13  glen
- release 3

Revision 1.50  2008-05-29 20:25:32  glen
- vimdatadir is in vim-rt package

Revision 1.49  2008-05-29 20:24:45  glen
- add gcc3 patch from AC-branch

Revision 1.48  2008-05-26 20:38:56  hawk
- release 2

Revision 1.47  2008-04-16 21:31:33  sls
- added docs bcond
- note about gui bcond

Revision 1.46  2008-04-16 21:12:11  qboosh
- spacing

Revision 1.45  2008-04-16 21:03:20  sls
- verbose binaries

Revision 1.44  2008-03-31 05:35:12  sls
- BR: fontconfig (fc-match)

Revision 1.43  2007-12-01 00:14:50  qboosh
- wants gcc >= 4.0

Revision 1.42  2007-11-30 21:51:39  hawk
- updated to 2.10.33, updated BRs
- spaces -> tabs

Revision 1.41  2007-02-13 06:46:52  glen
- tabs in preamble

Revision 1.40  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.39  2006/11/20 22:18:35  qboosh
- updated to 2.10.0, updated info,po,afm patches

Revision 1.38  2006/10/11 06:26:09  glen
- make -j1

Revision 1.37  2006/10/10 17:36:32  qboosh
- updated to 2.8.7

Revision 1.36  2006/08/31 22:09:12  qboosh
- updated to 2.8.6, updated info,sh,po patches, added afm patch

Revision 1.35  2005/12/04 12:00:26  qboosh
- updated to 2.6.5, removed obsolete fhs patch
- fonts-type1-ec-mftraced not needed since 2.6

Revision 1.34  2005/10/30 13:34:27  qboosh
- updated to 2.6.4
- updated info,sh,po patches, removed obsolete ps2png patch, added fhs patch
- package vim syntax files

Revision 1.33  2004/11/06 18:06:45  qboosh
- added more POSIX sh syntax fixes to sh patch
- moved more dirs into texmf tree - now works, release 1

Revision 1.32  2004/11/05 22:36:41  qboosh
- requires ec-fonts-mftraced (tetex-fonts-type1-ec-mftraced)
- install afm files in texmf dir, release 0.2

Revision 1.31  2004/11/05 20:18:40  qboosh
- started update to 2.4.1, updated info patch
- added ps2png patch, rename ps2png to lilypond-ps2png (conflict with tth)

Revision 1.30  2004/11/04 08:45:10  paszczus
- updated to 2.4.0
- updated lilypond-{info,sh}.patch
- release 0.1 ; test build please

Revision 1.29  2004/08/27 22:50:55  qboosh
- updated to 2.2.6

Revision 1.28  2004/08/07 22:30:04  qboosh
- updated to 2.2.5

Revision 1.27  2004/08/04 06:23:49  ankry
- i18n fixes (-po patch), rel. 2

Revision 1.26  2004/07/06 18:01:10  qboosh
- updated to 2.2.4

Revision 1.25  2004/05/24 19:41:28  qboosh
- updated to 2.2.1
- BR: fontforge (used by mftrace --simplify)
- --disable-optimising if debug (removes -O2 and some inlining define)

Revision 1.24  2004/04/26 21:29:32  qboosh
- refresh config.sub; but on amd64 lilypond-bin crashes when building docs

Revision 1.23  2004/04/25 22:45:19  qboosh
- updated to 2.2.0, updated patches

Revision 1.22  2004/01/09 07:33:37  qboosh
- updated to 2.0.2, separated emacs stuff

Revision 1.21  2003/10/14 20:38:38  qboosh
- updated to 2.0.1

Revision 1.20  2003/10/04 17:20:01  qboosh
- one fix in info patch, some comments in spec

Revision 1.19  2003/10/04 00:26:06  qboosh
- autotrace is used/required only through mftrace, so removed BR from here
- g++ 3.x is required now (acc. to configure)
- restored and updated info patch
- added sh patch to allow using lilypond script with ksh as system shell

Revision 1.18  2003/09/29 15:49:32  aredridel
- removed profile scripts, as they are not neccesary and don't work with zsh
  anyway.

Revision 1.17  2003/09/26 06:22:37  aredridel
- fixes and cleanups
- needs /bin/sh to be bash

Revision 1.16  2003/09/25 19:57:50  aredridel
- updated to 2.0.0

Revision 1.15  2003/09/25 02:28:25  aredridel
- added requires

Revision 1.14  2003/09/24 23:31:51  aredridel
- updated to 1.9.9 (pre-2.0)

Revision 1.13  2003/08/26 19:07:23  freetz
- BR python-devel

Revision 1.12  2003/08/24 19:06:14  qboosh
- up to 1.6.11, updated info patch
- patched for gcc 3.3 and python 2.3
- added acfix patch and other hacks to allow using autoconf > 2.13

Revision 1.11  2003/05/28 12:59:34  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 05:50:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/02 18:59:03  qboosh
- updated to 1.6.0, updated info patch
- removed obsolete pythonhack and gcc3 patches
- unfortunately BC: lilypond < 1.6.0, but it shouldn't happen again with
  future versions - datadir is versioned now

Revision 1.8  2002/11/02 14:04:13  qboosh
- added info patch, release 3

Revision 1.7  2002/10/15 20:10:23  qboosh
- added gcc3 patch with ISO C++ fixes, release 2

Revision 1.6  2002/07/17 21:17:50  qboosh
- moved font files to texmf hierarchy - now TeX utils can find them
- removed unneeded %%{_datadir}/{make,stepmake,python} from %%files - not
  needed and caused compilation problems when lilypond was installed

Revision 1.5  2002/07/14 22:24:19  qboosh
- updated to 1.4.13, some work - builds now
- pythonhack patch - avoid an error when creating documentation
- generally works except fonts - dvips and co. doesn't see them

Revision 1.4  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:13:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/12/05 09:12:02  qboosh
- pl translation, cleanup, use %%configure2_13 - but doesn't build

Revision 1.1  2000/11/14 10:13:10  klakier
- initial
